Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Hur löser man det här?
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Scandinavian
View previous topic :: View next topic  
Author Message
TheCableMan
n00b
n00b


Joined: 19 Nov 2004
Posts: 32

PostPosted: Sun Feb 13, 2005 11:55 am    Post subject: Hur löser man det här? Reply with quote

jag har gjort en jävligt dum sak på min dator. Jag kan inte använda emerge. Jag rensade lite saker på min dator och tog bort lite i /var/db/pkg vilket inte var bra. Vet inte hur jag ska förklara men om jag kör emerge något så står det så här
Code:
emerge fluxbox
Calculating dependencies \
!!! All ebuilds that could satisfy "sys-libs/libstdc++-v3" have been masked.
!!! One of the following masked packages is required to complete your request:
- sys-libs/libstdc++-v3-3.3.3-r1 (masked by: ~x86 keyword)
- sys-libs/libstdc++-v3-3.3.4 (masked by: ~x86 keyword)

For more information, see MASKED PACKAGES section in the emerge man page or
section 2.2 "Software Availability" in the Gentoo Handbook.
Back to top
View user's profile Send private message
ikaro
Advocate
Advocate


Joined: 14 Jul 2003
Posts: 2526
Location: Denmark

PostPosted: Sun Feb 13, 2005 5:57 pm    Post subject: Reply with quote

ACCEPT_KEYWORDS="~x86" emerge fluxbox
_________________
linux: #232767
Back to top
View user's profile Send private message
TheCableMan
n00b
n00b


Joined: 19 Nov 2004
Posts: 32

PostPosted: Mon Feb 14, 2005 7:36 am    Post subject: Reply with quote

gav bara det här. Hur fixar jag det?
Code:

l(root@Bubben)-(0)-(08:34:24 mån feb 14)->
-(tcm)-(13 files, totalt 710Mb)--> ACCEPT_KEYWORDS="~x86" emerge fluxbox
Calculating dependencies ...done!

!!! Error: the sys-kernel/linux-headers package conflicts with another package.
!!!        both can't be installed on the same system together.
!!!        Please use 'emerge --pretend' to determine blockers.
Back to top
View user's profile Send private message
c4
Guru
Guru


Joined: 21 Feb 2004
Posts: 312
Location: Sweden

PostPosted: Mon Feb 14, 2005 10:22 am    Post subject: Reply with quote

Quote:
!!! Please use 'emerge --pretend' to determine blockers.


Som det står, ACCEPT_KEYWORDS="~x86" emerge --pretend fluxbox. Prova det, så får du se vilka saker som blockerar din emerge.
Du kan då välja att unmerga dem och ta hem nya kernel-headers eller vad det är som orsakar konflikten, och fortsätta med fluxbox.
_________________
AMD64 Gentoo Hardened server
AMD64 Xubuntu Desktop
X86 Dreamlinux Vaio laptop
Back to top
View user's profile Send private message
TheCableMan
n00b
n00b


Joined: 19 Nov 2004
Posts: 32

PostPosted: Mon Feb 14, 2005 9:30 pm    Post subject: Reply with quote

kan inte att unmerga eftersom jag tagit bort /var/db/pkg. Har inga såsar kvar

ACCEPT_KEYWORDS="~x86" emerge --pretend fluxbox ger:
Code:

These are the packages that I would merge, in order:

Calculating dependencies    ...done!

[blocks B     ] sys-kernel/linux-headers (from pkg sys-kernel/linux26-headers-2.6.8.1-r2)
[ebuild  N    ] sys-devel/patch-2.5.9-r1 
[ebuild  N    ] sys-devel/gnuconfig-20040214 
[ebuild  N    ] sys-libs/gpm-1.20.1-r4 
[ebuild  N    ] sys-libs/ncurses-5.4-r5 
[ebuild  N    ] app-shells/bash-3.0-r8 
[ebuild  N    ] sys-devel/binutils-config-1.8 
[ebuild  N    ] sys-devel/gettext-0.14.1 
[ebuild  N    ] sys-devel/binutils-2.15.92.0.2-r2 
[ebuild  N    ] sys-devel/m4-1.4.2-r1 
[ebuild  N    ] sys-devel/bison-2.0 
[ebuild  N    ] sys-apps/sed-4.1.2 
[ebuild  N    ] sys-libs/zlib-1.2.2 
[ebuild  N    ] dev-python/python-fchksum-1.7.1 
[ebuild  N    ] app-arch/bzip2-1.0.2-r4 
[ebuild  N    ] sys-apps/debianutils-1.16.7-r4 
[ebuild  N    ] sys-libs/readline-5.0-r2 
[ebuild  N    ] sys-libs/gdbm-1.8.3-r1 
[ebuild  N    ] sys-devel/flex-2.5.4a-r6 
[ebuild  N    ] sys-devel/bc-1.06-r6 
[ebuild  N    ] sys-apps/diffutils-2.8.7-r1 
[ebuild  N    ] sys-apps/texinfo-4.8 
[ebuild  N    ] sys-apps/groff-1.19.1-r2 
[ebuild  N    ] sys-apps/cronbase-0.3.1 
[ebuild  N    ] sys-apps/man-1.5p 
[ebuild  N    ] sys-devel/libperl-5.8.6 
[ebuild  N    ] dev-lang/perl-5.8.6-r3 
[ebuild  N    ] dev-libs/openssl-0.9.7e 
[ebuild  N    ] dev-libs/expat-1.95.8 
[ebuild  N    ] dev-lang/tcl-8.4.6-r1 
[ebuild  N    ] dev-lang/tk-8.4.6-r1 
[ebuild  N    ] dev-lang/python-2.3.4-r1 
[ebuild  N    ] sys-apps/portage-2.0.51-r15 
*** Portage will stop merging at this point and reload itself,
    recalculate dependencies, and complete the merge.
    You may avoid the remerging of packages by updating portage on its own.
[ebuild  N    ] sys-devel/gcc-config-1.3.10-r1 
[ebuild  N    ] sys-devel/gcc-3.4.3.20050110 
[ebuild  N    ] sys-libs/libstdc++-v3-3.3.4 
[ebuild  N    ] sys-kernel/linux-headers-2.4.22-r1 
[ebuild  N    ] sys-kernel/linux26-headers-2.6.8.1-r2 
[ebuild  N    ] sys-apps/sysvinit-2.86 
[ebuild  N    ] sys-apps/baselayout-1.11.9-r1 
[ebuild  N    ] sys-libs/glibc-2.3.4.20041102 
[ebuild  N    ] sys-apps/grep-2.5.1-r7 
[ebuild  N    ] sys-apps/gawk-3.1.4-r2 
[ebuild  N    ] app-crypt/hashalot-0.3 
[ebuild  N    ] dev-libs/glib-1.2.10-r5 
[ebuild  N    ] sys-devel/autoconf-2.13 
[ebuild  N    ] sys-devel/autoconf-wrapper-2-r1 
[ebuild  N    ] sys-devel/autoconf-2.59-r6 
[ebuild  N    ] sys-devel/automake-1.5 
[ebuild  N    ] sys-devel/automake-1.8.5-r3 
[ebuild  N    ] sys-devel/automake-1.6.3 
[ebuild  N    ] sys-devel/automake-1.7.9-r1 
[ebuild  N    ] sys-devel/automake-1.4_p6 
[ebuild  N    ] sys-devel/automake-wrapper-1-r1 
[ebuild  N    ] sys-devel/automake-1.9.4 
[ebuild  N    ] sys-apps/miscfiles-1.4.2 
[ebuild  N    ] sys-libs/cracklib-2.7-r10 
[ebuild  N    ] sys-libs/pam-0.77-r8 
[ebuild  N    ] sys-apps/pam-login-3.14 
[ebuild  N    ] sys-fs/e2fsprogs-1.36 
[ebuild  N    ] sys-apps/util-linux-2.12p-r1 
[ebuild  N    ] media-libs/libpng-1.2.8 
[ebuild  N    ] sys-devel/libtool-1.5.10-r4 
[ebuild  N    ] media-libs/freetype-2.1.9-r1 
[ebuild  N    ] x11-misc/ttmkfdir-3.0.9-r2 
[ebuild  N    ] x11-base/opengl-update-2.1.1-r1 
[ebuild  N    ] media-libs/fontconfig-2.2.3 
[ebuild  N    ] x11-base/xorg-x11-6.8.2 
[ebuild  N    ] sys-apps/file-4.12 
[ebuild  N    ] sys-apps/which-2.16 
[ebuild  N    ] app-arch/cpio-2.6-r2 
[ebuild  N    ] app-arch/rpm2targz-9.0-r2 
[ebuild  N    ] sys-apps/utempter-0.5.5.5-r1 
[ebuild  N    ] x11-terms/xterm-199 
[ebuild  N    ] media-libs/jpeg-6b-r4 
[ebuild  N    ] media-libs/giflib-4.1.3 
[ebuild  N    ] media-libs/libungif-4.1.3 
[ebuild  N    ] media-libs/imlib2-1.2.0.20050116 
[ebuild  N    ] x11-wm/fluxbox-0.9.12-r1 


eftersom min db över program är borta så vill den installera typ allt. allt är redan inlagt. Skulle jag bara få igång emerge så kan jag åter skapa allt. Kör jag emerge linux26-headers får jag
Code:
         
Calculating dependencies \
!!! All ebuilds that could satisfy "sys-libs/libstdc++-v3" have been masked.
!!! One of the following masked packages is required to complete your request:
- sys-libs/libstdc++-v3-3.3.3-r1 (masked by: ~x86 keyword)
- sys-libs/libstdc++-v3-3.3.4 (masked by: ~x86 keyword)

For more information, see MASKED PACKAGES section in the emerge man page or
section 2.2 "Software Availability" in the Gentoo Handbook.

[code]
Back to top
View user's profile Send private message
TheCableMan
n00b
n00b


Joined: 19 Nov 2004
Posts: 32

PostPosted: Mon Feb 14, 2005 9:34 pm    Post subject: Reply with quote

här är de senaste sakerna jag laggt in på datorn.

    libglade, scons,libstdc++


    These are the packages that I would merge, in order:

    Calculating dependencies ...done!
    [ebuild U ] sys-devel/gcc-config-1.3.8-r4 [1.3.6-r3]
    [ebuild NS ] sys-devel/gcc-3.4.2-r2


    2 Dagar efter det övre

    These are the packages that I would merge, in order:

    Calculating dependencies ...done!
    [ebuild N ] sys-fs/fuse-1.4
    [ebuild N ] sys-fs/lufis-0.3
    [ebuild N ] sys-fs/lufs-0.9.7-r3

Back to top
View user's profile Send private message
kallamej
Administrator
Administrator


Joined: 27 Jun 2003
Posts: 4835
Location: Gothenburg, Sweden

PostPosted: Tue Feb 15, 2005 9:29 am    Post subject: Reply with quote

Du kan försöka återskapa /var/db/pkg, se http://forums.gentoo.org/viewtopic.php?t=57911
_________________
Please read our FAQ Forum, it answers many of your questions.
irc: #gentoo-forums on irc.freenode.net
Back to top
View user's profile Send private message
TheCableMan
n00b
n00b


Joined: 19 Nov 2004
Posts: 32

PostPosted: Tue Feb 15, 2005 4:23 pm    Post subject: Reply with quote

hjälper inte så mycket eftersom jag inte kan emerga något. Måste fixa så jag kan emerga något. Sedan är det ju bara köra emerge world så fixar det sig ju. Måste på något vänster fixa det som låser mig.
Back to top
View user's profile Send private message
TheCableMan
n00b
n00b


Joined: 19 Nov 2004
Posts: 32

PostPosted: Tue Feb 15, 2005 4:46 pm    Post subject: Reply with quote

Det funkar med det här
Code:
ACCEPT_KEYWORDS="~x86" emerge =sys-kernel/linux26-headers-2.6.8.1-r2


Så jag testar att köra det här:

Code:
ACCEPT_KEYWORDS="~x86" emerge =sys-kernel/linux26-headers-2.6.8.1-r2 && emerge system && emerge world


ser om det funkar. BRB om ett par timmar om det funkar :D
Back to top
View user's profile Send private message
TheCableMan
n00b
n00b


Joined: 19 Nov 2004
Posts: 32

PostPosted: Tue Feb 15, 2005 10:16 pm    Post subject: Reply with quote

allt gick bra tills xorg misslyckades i make och nu går det inte gå vidare
Code:
# ACCEPT_KEYWORDS="~x86" emerge linux26-headers             
Calculating dependencies ...done!

!!! Error: the sys-kernel/linux-headers package conflicts with another package.
!!!        both can't be installed on the same system together.
!!!        Please use 'emerge --pretend' to determine blockers.


Code:
# ACCEPT_KEYWORDS="~x86" emerge linux26-headers -p

These are the packages that I would merge, in order:

Calculating dependencies ...done!
[blocks B     ] sys-kernel/linux-headers (from pkg sys-kernel/linux26-headers-2.6.8.1-r2)

[ebuild  N    ] x11-base/xorg-x11-6.8.2 
[ebuild  N    ] dev-lang/tk-8.4.6-r1 
[ebuild  N    ] dev-lang/python-2.3.4-r1 
[ebuild  N    ] sys-apps/portage-2.0.51-r15 
*** Portage will stop merging at this point and reload itself,
    recalculate dependencies, and complete the merge.
    You may avoid the remerging of packages by updating portage on its own.
[ebuild  N    ] sys-devel/gcc-config-1.3.10-r1 
[ebuild  N    ] sys-devel/gcc-3.4.3.20050110 
[ebuild  N    ] sys-apps/file-4.12 
[ebuild  N    ] sys-apps/which-2.16 
[ebuild  N    ] app-arch/cpio-2.6-r2 
[ebuild  N    ] app-arch/rpm2targz-9.0-r2 
[ebuild  N    ] sys-apps/utempter-0.5.5.5-r1 
[ebuild  N    ] x11-terms/xterm-199 
[ebuild  N    ] sys-libs/libstdc++-v3-3.3.4 
[ebuild  N    ] sys-apps/sysvinit-2.86 
[ebuild  N    ] sys-apps/baselayout-1.11.9-r1 
[ebuild  N    ] sys-libs/glibc-2.3.4.20050125 
[ebuild  N    ] sys-devel/patch-2.5.9-r1 
[ebuild  N    ] sys-kernel/linux26-headers-2.6.8.1-r2

Någon som vet hur jag kan gå vidare? Har 18 program kvar av 72 att remerga
Back to top
View user's profile Send private message
Fanatic
Apprentice
Apprentice


Joined: 02 May 2004
Posts: 173
Location: Stocktown

PostPosted: Wed Feb 16, 2005 1:48 am    Post subject: Reply with quote

Code:

[blocks B     ] sys-kernel/linux-headers (from pkg sys-kernel/linux26-headers-2.6.8.1-r2)


Där står det ju vad som är problemet.

emerge -C linux-headers && emerge linux26-headers
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Scandinavian All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum